﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WindowsForms.localhost;

namespace WindowsForms
{
    /// <summary>
    /// Interaktionslogik für Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private PersistenceManagerService pm;
        public static SubscriberBO[] Subscribers { get; set; }

        public Window1()
        {
            pm = new PersistenceManagerService();
            Subscribers = pm.FindAll();
            
            InitializeComponent();

            list.DataContext = Subscribers;
            //Refresh_Click(null, null);
        }

        private void Refresh_Click(object sender, RoutedEventArgs e)
        {
            list.Visibility = Visibility.Visible;
            flowReader.Visibility = Visibility.Collapsed;

            Subscribers = pm.FindAll();
            list.DataContext = Subscribers;
            //list.Items.Clear();
            //int i = 0;
            //foreach (SubscriberBO subscriber in subscribers) {
            //    list.Items.Add(++i+" "+subscriber.Alias + ", " + subscriber.Email + " : " + subscriber.Committed);
            //}
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            Environment.Exit(0);
        }

        private void Description_Click(object sender, RoutedEventArgs e)
        {
            list.Visibility = Visibility.Collapsed;
            flowReader.Visibility = Visibility.Visible;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
